Bug 1370119 - python-manila-tests.noarch not installed with undercloud upgrade leading to tempest validation failing
Summary: python-manila-tests.noarch not installed with undercloud upgrade leading to t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Upstream M2
: 11.0 (Ocata)
Assignee: Dustin Schoenbrun
QA Contact: Omri Hochman
Don Domingo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-25 11:19 UTC by Ramon Acedo
Modified: 2017-05-17 19:32 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:32:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Ramon Acedo 2016-08-25 11:19:35 UTC
After running 'openstack undercloud upgrade' successfully, then deploying the first OSP 9 overcloud, when following the official documentation to validate it with Tempest as described in: https://access.redhat.com/documentation/en/red-hat-openstack-platform/9/single/director-installation-and-usage#sect-Validating_the_Overcloud when running: 

$ tools/config_tempest.py --deployer-input ~/tempest-deployer-input.conf --debug --create identity.uri $OS_AUTH_URL identity.admin_password $OS_PASSWORD --network-id d474fe1f-222d-4e32-9242-cd1fefe9c14b

It fails with "ImportError: No module named manila_tempest_tests.plugin"

The workaround is installing python-manila-tests.noarch.

If the test is part of the default set of tests in OSP 9, the package should be installed during the 'openstack undercloud upgrade' process.

Comment 2 Ramon Acedo 2016-08-25 11:33:52 UTC
Not sure if related, but https://bugzilla.redhat.com/show_bug.cgi?id=1293840 is also affecting OSP 9 even after the workaround mentioned in the description.

Comment 3 Lenny Verkhovsky 2016-10-10 08:46:22 UTC
I had the same problem.
As a workaround I removed manila without dependencies of tempest

#rpm -e python-manilaclient-1.8.1-1.el7ost.noarch python-sahara-1:4.0.1-2.el7ost.noarch openstack-heat-common-1:6.0.0-11.el7ost.noarch  openstack-sahara-common-1:4.0.1-2.el7ost.noarch python-heat-tests-1:6.0.0-11.el7ost.noarch --nodeps

Comment 4 Paul Grist 2016-10-13 22:25:40 UTC
To Manila squad to see if this is still an issue in OSP10.

Comment 5 Dustin Schoenbrun 2016-10-27 14:49:38 UTC
(In reply to Ramon Acedo from comment #0)
> After running 'openstack undercloud upgrade' successfully, then deploying
> the first OSP 9 overcloud, when following the official documentation to
> validate it with Tempest as described in:
> https://access.redhat.com/documentation/en/red-hat-openstack-platform/9/
> single/director-installation-and-usage#sect-Validating_the_Overcloud when
> running: 
> 
> $ tools/config_tempest.py --deployer-input ~/tempest-deployer-input.conf
> --debug --create identity.uri $OS_AUTH_URL identity.admin_password
> $OS_PASSWORD --network-id d474fe1f-222d-4e32-9242-cd1fefe9c14b
> 
> It fails with "ImportError: No module named manila_tempest_tests.plugin"
> 
> The workaround is installing python-manila-tests.noarch.
> 
> If the test is part of the default set of tests in OSP 9, the package should
> be installed during the 'openstack undercloud upgrade' process.

Hey Ramon,

Did you encounter this on an upgrade from OSP-8 -> OSP-9 or from OSP-9 -> OSP-10? Knowing this will help me determine which path I need to test. Thanks!

Comment 6 Ramon Acedo 2016-10-27 14:56:19 UTC
Hi Dustin, it was from OSP8 to OSP9

Comment 7 Dustin Schoenbrun 2016-10-27 15:15:10 UTC
Got it, I'll try it out and see what happens!

Comment 9 Jon Schlueter 2016-12-02 17:10:53 UTC
how are we determining which tempest plugins should be installed and what package name to use for them?

Comment 10 Tom Barron 2016-12-06 12:43:44 UTC
(In reply to Jon Schlueter from comment #9)
> how are we determining which tempest plugins should be installed and what
> package name to use for them?

The manila tempest tests are in the openstack/manila repository itself.  So they are imported
into RHOS with the main manila repo and are in lock-step with it w.r.t.  commits, branch release labels, etc.  Unlike the main tempest code, which is
branchless.

The RHOS specfile for, say rhos-10.0-rhel-7 copies them out to a separate location, they are excluded from the actual manila package, and they are used to build the python-manila-tests package.

Is this what you want to know?

Comment 11 Jon Schlueter 2016-12-06 13:39:33 UTC
(In reply to Tom Barron from comment #10)
> (In reply to Jon Schlueter from comment #9)
> > how are we determining which tempest plugins should be installed and what
> > package name to use for them?
> 
> The manila tempest tests are in the openstack/manila repository itself.  So
> they are imported
> into RHOS with the main manila repo and are in lock-step with it w.r.t. 
> commits, branch release labels, etc.  Unlike the main tempest code, which is
> branchless.
> 
> The RHOS specfile for, say rhos-10.0-rhel-7 copies them out to a separate
> location, they are excluded from the actual manila package, and they are
> used to build the python-manila-tests package.
> 
> Is this what you want to know?

I was more looking for how do we know to install python-manila-tests? is it hard-coded into some script/puppet module/ documentation? or is it assumed to come from python-tempest-all

Comment 12 Tom Barron 2016-12-06 13:59:22 UTC
(In reply to Jon Schlueter from comment #11)
> (In reply to Tom Barron from comment #10)
> > (In reply to Jon Schlueter from comment #9)
> > > how are we determining which tempest plugins should be installed and what
> > > package name to use for them?
> > 
> > The manila tempest tests are in the openstack/manila repository itself.  So
> > they are imported
> > into RHOS with the main manila repo and are in lock-step with it w.r.t. 
> > commits, branch release labels, etc.  Unlike the main tempest code, which is
> > branchless.
> > 
> > The RHOS specfile for, say rhos-10.0-rhel-7 copies them out to a separate
> > location, they are excluded from the actual manila package, and they are
> > used to build the python-manila-tests package.
> > 
> > Is this what you want to know?
> 
> I was more looking for how do we know to install python-manila-tests? is it
> hard-coded into some script/puppet module/ documentation? or is it assumed
> to come from python-tempest-all

OK, that makes sense.  I really don't know what assumptions are here but
offhand it would make sense to do with the manila tempest plugin what is
done with the other tempest plugins - e.g. sahara.  I do set that you added
a requirement for python-manila-tests to RHOS10 openstack-tempest in commit
ba701ce10ffe36ba66f3e3ce99ce650305c68b50 and that there were already
requirements there for other components.  Thanks!

Do you think that is sufficient to take care of the issue reported here, framed
in terms of upgrade to RHOS10?

Comment 15 Dustin Schoenbrun 2017-05-03 15:58:02 UTC
For what it's worth, I was able to upgrade a deployment from OSP-10 to OSP-11, set up and configure Tempest, and run the Manila Tempest tests successfully without running into any issues with the 2017-04-24.2 puddle. It looks like whatever issue we were seeing was solved in the intervening releases.

Comment 16 errata-xmlrpc 2017-05-17 19:32:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.